Imports System.ComponentModel
Public Class TimeAreaControl
    ' Basisliste zum temporren Halten der Zeitbereiche
    Private m_BasisListe As New List(Of TimeArea)

    ''' <summary>
    ''' gibt die vewendete Basisliste mit Zeitbereichen zurck oder legt diese fest
    ''' </summary>
    <DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)> _
    Property BasisListe() As List(Of TimeArea)
        Get
            Return m_BasisListe
        End Get
        Set(ByVal value As List(Of TimeArea))
            If m_BasisListe IsNot value Then
                m_BasisListe = value
                Me.MonthControl1.TimeAreas = m_BasisListe
            End If
        End Set
    End Property

    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

        Me.MonthControl1.TimeAreas = m_BasisListe

        ' Anzeige-Monate zur auswahl in der ComboBox erstellen
        Dim StartDate As Date = Date.Today.AddMonths(-12)
        Dim FirstStartDate As New Date(StartDate.Year, StartDate.Month, 1)
        For I As Integer = 1 To 24
            Me.ComboBox1.Items.Add(New SelectionMonth(FirstStartDate))
            FirstStartDate = FirstStartDate.AddMonths(1)
        Next
        ' aktuellen Monat in der ComboBox auswhlen
        Me.ComboBox1.SelectedIndex = 12
    End Sub

    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBox1.SelectedIndexChanged
        ' nach ndern des ausgewhlten Monats in der ComboBox 
        ' wird dieser im Monats-Control angezeigt
        Dim Monat As SelectionMonth = ComboBox1.SelectedItem
        Me.MonthControl1.Datum = Monat.StartDate
        ' Der danach im Monats-Control selektierte Tages-Zeitbereich wird im 
        ' Zeit-Auswahl-Control angezeigt
        Me.TimeSelectionControl1.TimeAreas = MonthControl1.SelectedZeitBereich
    End Sub

    Private Sub MonthControl1_SelectedZeitBereich_Changed() Handles MonthControl1.Changed
        ' nach ndern des ausgewhlten zeitbereichs im Monats-Control 
        ' wird dieser im Zeit-Auswahl-Control angezeigt
        Me.TimeSelectionControl1.TimeAreas = MonthControl1.SelectedZeitBereich
        Me.Label2.Text = Format(MonthControl1.SelectedDate, "dddd") & ", " & MonthControl1.SelectedDate.ToShortDateString
    End Sub

    Protected Overrides Sub OnLostFocus(ByVal e As System.EventArgs)
        MyBase.OnLostFocus(e)
        ' zuletzt genderte Werte werden in die Basis-Liste zurck bernommen
        Me.MonthControl1.Save_Values()
    End Sub

End Class
