''' <summary>
''' Zeitbereichsliste fr ein spezifisches Tages-Datum
''' </summary>
Public Class DayTimeAreaList
    Inherits TimeAreaList
    ' zugewiesenes Datum
    Private m_Datum As Date

    ''' <summary>
    ''' gibt das zugewiesene Datum zurck
    ''' </summary>
    ReadOnly Property Datum() As Date
        Get
            Return m_Datum
        End Get
    End Property

    ''' <summary>
    ''' Default Konstruktor
    ''' </summary>
    ''' <param name="TagesDatum">zugewiesenes Tagesdatum</param>
    ''' <param name="Source">Quell-Liste mit Zeitbereichen</param>
    Public Sub New(ByVal TagesDatum As Date, ByVal Source As List(Of TimeArea))
        ' TagesDatum bernehmen
        m_Datum = TagesDatum
        ' alle Zeitbereiche aus der Quell-Liste bernehmen, die zum angegebenen Tagesdatum passen
        For Each Bereich As TimeArea In Source
            If Bereich.Start.Date = TagesDatum.Date Then
                MyBase.Add(Bereich)
            End If
        Next
    End Sub
End Class
